#ifndef _ETHDRV_H_
  #define _ETHDRV_H

/******************************************************************************
 * Defines and typedefs
 *****************************************************************************/

/* register offsets */
#define NIC_NCR    0x00    /* */
#define NIC_NSR    0x01    /* */
#define NIC_TCR    0x02    /* */
#define NIC_TSR1   0x03    /* */
#define NIC_TSR2   0x04    /* */
#define NIC_RCR    0x05    /* */
#define NIC_RSR    0x06    /* */
#define NIC_ROCR   0x07    /* */
#define NIC_BPTR   0x08    /* */
#define NIC_FCTR   0x09    /* */
#define NIC_FCR    0x0A    /* */
#define NIC_EPCR   0x0B    /* */
#define NIC_EPAR   0x0C    /* */
#define NIC_EPDRL  0x0D    /* */
#define NIC_EPDRH  0x0E    /* */
#define NIC_WCR    0x0F    /* */
#define NIC_PAR0   0x10    /* */
#define NIC_PAR1   0x11    /* */
#define NIC_PAR2   0x12    /* */
#define NIC_PAR3   0x13    /* */
#define NIC_PAR4   0x14    /* */
#define NIC_PAR5   0x15    /* */
#define NIC_MAR0   0x16    /* */
#define NIC_MAR1   0x17    /* */
#define NIC_MAR2   0x18    /* */
#define NIC_MAR3   0x19    /* */
#define NIC_MAR4   0x1A    /* */
#define NIC_MAR5   0x1B    /* */
#define NIC_MAR6   0x1C    /* */
#define NIC_MAR7   0x1D    /* */
#define NIC_GPCR   0x1E    /* */
#define NIC_GPR    0x1F    /* */
#define NIC_TRPAL  0x22    /* */
#define NIC_TRPAH  0x23    /* */
#define NIC_RWPAL  0x24    /* */
#define NIC_RWPAH  0x25    /* */
#define NIC_VIDL   0x28    /* */
#define NIC_VIDH   0x29    /* */
#define NIC_PIDL   0x2A    /* */
#define NIC_PIDH   0x2B    /* */
#define NIC_CHIPR  0x2C    /* */
#define NIC_SMCR   0x2F    /* */
#define NIC_MRCMDX 0xF0    /* */
#define NIC_MRCMD  0xF2    /* */
#define NIC_MRRL   0xF4    /* */
#define NIC_MRRH   0xF5    /* */
#define NIC_MWCMDX 0xF6    /* */
#define NIC_MWCMD  0xF8    /* */
#define NIC_MWRL   0xFA    /* */
#define NIC_MWRH   0xFB    /* */
#define NIC_TXPLL  0xFC    /* */
#define NIC_TXPLH  0xFD    /* */
#define NIC_ISR    0xFE    /* */
#define NIC_IMR    0xFF    /* */


#endif
