/*
    This module implements a linux character device driver for the XXX chip.
    Copyright (C) 2006  Embedded Artists AB (www.embeddedartists.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _LCD_HW_
#define _LCD_HW_

#include "lpc_types.h"

#ifndef NULL
#define NULL (0)
#endif

typedef unsigned char tU8;
typedef unsigned short tU16;
typedef unsigned int tU32;
typedef signed char tS8;
typedef signed short tS16;
typedef signed int tS32;
typedef unsigned char tBool;


/******************************************************************************
 * Interface configuration
 *****************************************************************************/

/* QVGA LCD v2.x display */
#define EA_DISP_QVGA_LCD_V2  2
/* QVGA OLED v1.x display */
#define EA_DISP_QVGA_OLED_V1 3


extern BOOL_32 lcdhw_init(UNS_8 display);
extern void lcdhw_setpos(UNS_16 x, UNS_16 y);
void lcdhw_color(UNS_16 data);


#endif /* _LCD_HW_ */
