######################################################################## 
# $Id:: make.lh7a404.gnu 12 2007-08-27 22:26:50Z kevinw                $
# 
# Project: LH7A404 toolset rules for GNU toolset
# 
# Description: 
#     Make rules for the GNU toolset
# 
######################################################################## 
# Software that is described herein is for illustrative purposes only  
# which provides customers with programming information regarding the  
# products. This software is supplied "AS IS" without any warranties.  
# NXP Semiconductors assumes no responsibility or liability for the 
# use of the software, conveys no license or title under any patent, 
# copyright, or mask work right to the product. NXP Semiconductors 
# reserves the right to make changes in the software without 
# notification. NXP Semiconductors also make no representation or 
# warranty that such application will be suitable for the specified 
# use without further testing or modification. 
########################################################################

include $(NXPMCU_SOFTWARE)/makerule/common/make.rules.environment

#CPU      =
GNUBASE  = $(GCC_ROOT)
#GNUTOOLS = $(GNUBASE)/bin
#GNU_LIB1 = $(GNUBASE)/lib/gcc/arm-none-eabi/4.2.1
#GNU_LIB2 = $(GNUBASE)/arm-none-eabi/lib
#GNU_INC1 = $(GNUBASE)/arm-elf/include
CFLAGS   = -mcpu=arm922t -Wall -O3 -mapcs-frame
CFLAGS   += -mno-sched-prolog -fno-hosted -mno-thumb-interwork
#CFLAGS   += -I$(GNU_INC1)
CFLAGS   += -I$(CSP_INC_DIR) -I$(BSP_INC_DIR) -I$(GEN_INC_DIR)
AFLAGS   = -mcpu=arm922t
CC       = arm-none-eabi-gcc
AS       = arm-none-eabi-as
AR       = arm-none-eabi-ar -r
LD       = arm-none-eabi-ld
NM       = arm-none-eabi-nm
OBJDUMP  = arm-none-eabi-objdump
OBJCOPY  = arm-none-eabi-objcopy
READELF  = arm-none-eabi-readelf
LDFLAGS  = 
GNU_LIB1 = ${shell ${CC} ${CFLAGS} -print-libgcc-file-name}
AR_LIST  =--start-group 
AR_LIST  += $(GNU_LIB2)/libc.a
AR_LIST  += $(GNU_LIB2)/libm.a
AR_LIST  += $(GNU_LIB2)/libg.a
AR_LIST  += $(GNU_LIB2)/libstdc++.a
AR_LIST  += $(GNU_LIB2)/libsupc++.a
#AR_LIST  += $(GNU_LIB2)/libnosys.a
AR_LIST  += $(TARGET_CSP_LIB)
AR_LIST  += $(TARGET_BSP_LIB)
AR_LIST  += $(TARGET_GEN_LIB)
AR_LIST  += --end-group
#LK       = -nostdlib -nostartfiles -L$(GNU_LIB1)
#LK       += -L$(TARGET_CSP_LIB) -L$(TARGET_GEN_LIB)
#LK       += -L$(TARGET_BSP_LIB) $(AR_LIST)

LK        =  -L$(GNU_LIB1) -static
#LK       +=  -lc -lg -lm -liberty -lnosys -lrdimon -lrdpmon -lstdc++ -lsupc++ -lgloss-linux
LK       += $(AR_LIST)

MAP      = -Map
LDESC    = -T
ENTRY    = -e
BIN      = -bin
EXT      = .elf
LEXT     = 
ELFSTRIP =arm-elf-objcopy -I elf32-little -O elf32-little --strip-all
ELFTOREC =arm-elf-objcopy -O srec
REC      =.srec
